$(function () {
	/**
	 * add user & modal
	 */
	$('#addUserBtn').on('click', function () {
		$('.add-user-modal').addClass('active');
	});

	$(window).on('click', function (e) {
		if ($(e.target).hasClass('add-user-modal') == true) {
			$('.add-user-modal').removeClass('active');
		}
	});

	$('#findTableData').on('keyup', function () {
		var data = $(this).val().toLowerCase();
		console.log(data);
		$('.user-table tbody tr').filter(function () {
			$(this).toggle($(this).text().toLowerCase().indexOf(data) > -1);
		});
	});

	/**
	 * address modal
	 */

	$('#addAddressBtn').on('click', function () {
		$('.add-address-modal').addClass('active');
	});

	$('#addressCancelBtn').on('click', function () {
		$('.add-address-modal').removeClass('active');
	});

	$(window).on('click', function (e) {
		if ($(e.target).hasClass('add-address-modal') == true) {
			$('.add-address-modal').removeClass('active');
		}
	});

	/**
	 * add buy list modal
	 */
	$('#addBuyBtn').on('click', function () {
		$('.buy-list-modal-box').addClass('active');
	});

	$('#buyListCancelBtn').on('click', function () {
		$('.buy-list-modal-box').removeClass('active');
	});

	$(window).on('click', function (e) {
		if ($(e.target).hasClass('buy-list-modal-box') == true) {
			$('.buy-list-modal-box').removeClass('active');
		}
	});

	/**
	 * return create modal
	 */
	$('#returnCreateAdd').on('click', function () {
		$('.return-modal-box').addClass('active');
	});

	$('#buyListCancelBtn').on('click', function () {
		$('.buy-list-modal-box').removeClass('active');
	});

	$(window).on('click', function (e) {
		if ($(e.target).hasClass('return-modal-box') == true) {
			$('.return-modal-box').removeClass('active');
		}
	});

	/**
	 * add upc btn
	 */

	var upcId = 1;
	$('#add-upc-btn').on('click', function () {
		upcId++;
		let field = `
      <div class="mb-2">
        <div class="d-flex align-items-center gap-2 mt-3">
          <input type="text" class="form-control" placeholder="Enter UPC">
          <a id="deleteUpcField" href="javascript:void(0)">
            <i class="las la-times"></i>
          </a>
        </div>
      </div>
    `;
		$('.upc-append-box').append(field);
	});

	$(document).on('click', '#deleteUpcField', function () {
		$(this).parent().parent().remove();
		upcId--;
	});

	/**
	 * pos & purchase tab
	 */
	$('#posTab').on('click', function () {
		$(this).addClass('active');
		$('#purchaseTab').removeClass('active');
		$('.pos-tab-content-1').addClass('active');
		$('.pos-tab-content-2').removeClass('active');
	});
	$('#purchaseTab').on('click', function () {
		$(this).addClass('active');
		$('#posTab').removeClass('active');
		$('.pos-tab-content-1').removeClass('active');
		$('.pos-tab-content-2').addClass('active');
	});

	$(document).on('click', '#showAddressBox', function (i) {
		var icon = i.target;
		var parent = $(i.currentTarget).parent().parent().parent().siblings();
		if ($(parent).hasClass('active')) {
			$(parent).removeClass('active');
			$(icon).css({
				backgroundColor: '#656877',
				transform: 'rotate(0)',
			});
		} else {
			$(parent).addClass('active');
			$(icon).css({
				backgroundColor: 'var(--five-color)',
				transform: 'rotate(180deg)',
			});
		}
	});

	/**
	 * aliases all check system
	 */

	$('#support-check-all').on('change', function () {
		$('.support-check-item').prop('checked', this.checked);
	});
	$('.support-check-item').on('change', function () {
		if (
			$('.support-check-item:checked').length ==
			$('.support-check-item').length
		) {
			$('#support-check-all').prop('checked', true);
		} else {
			$('#support-check-all').prop('checked', false);
		}
	});

	/**
	 * edit of pos
	 */

	$('.ui-pos-edit').each(function () {
		$(this).on('click', function () {
			if ($(this).prev().is(':disabled')) {
				$(this).prev().removeAttr('disabled');
				$(this).css('color', '#556ee6');
			} else {
				$(this).prev().attr('disabled', 'disabled');
				$(this).css('color', '#c2c4ce');
			}
		});
	});

	$('.ui-pos-input').each(function () {
		$(this).on('change', function () {
			var value = $(this).val().length;
			$(this).css('width', value * 12 + 'px');
		});
	});

	$(window).on('click', function (e) {
		if ($(e.target).hasClass('la-edit') == true) {
			$(this).prev().removeAttr('disabled');
		} else {
			if ($(e.target).hasClass('ui-pos-input') !== true) {
				$('.ui-pos-input').attr('disabled', 'disabled');
				$('.ui-pos-edit').css('color', '#c2c4ce');
			}
		}
	});

	$('#uiTagKeyUp').on('change', function () {
		var inputItem = $(this).val();
		if (inputItem !== '') {
			$('.ui-input-tag ul').append('<li>' + inputItem + '</li>');
			$(this).val('');
			$.fn.uiDelete();
		}
	});
	$.fn.uiDelete = function () {
		$('.ui-input-tag ul li').each(function (i, e) {
			$(e).on('dblclick', function () {
				console.log($(this).remove());
			});
		});
	};
	$.fn.uiDelete();

	/**
	 * ui pos dropdown
	 */

	$('.ui-drop-input').each(function (index, element) {
		$(element).on('click', function () {
			if ($(this).parent().children('.ui-drop-box').hasClass('active')) {
				$(this).parent().children('.ui-drop-box').removeClass('active');
			} else {
				$('.ui-drop-input').each(function (index, element) {
					$(this)
						.parent()
						.children('.ui-drop-box')
						.removeClass('active');
				});
				$(this).parent().children('.ui-drop-box').addClass('active');
			}
		});
	});

	/**
	 * ui pos modal
	 */
	$('#uiAddTrackingBtn').on('click', function () {
		$('.ui-pos-modal-box').addClass('active');
	});

	$(window).on('click', function (e) {
		if ($(e.target).hasClass('ui-pos-modal-box') == true) {
			$('.ui-pos-modal-box').removeClass('active');
		}
	});

	$('#addTrackingBtn').on('click', function () {
		$('#bulkTrackingBtn').removeClass('active');
		$(this).addClass('active');
		$('.ui-post-modal-2').addClass('active');
		$('.ui-post-modal-3').removeClass('active');
	});
	$('#bulkTrackingBtn').on('click', function () {
		$(this).addClass('active');
		$('#addTrackingBtn').removeClass('active');
		$('.ui-post-modal-3').addClass('active');
		$('.ui-post-modal-2').removeClass('active');
	});

	$(window).on('click', function (e) {
		if (
			$(e.target).hasClass('ui-drop-input') ||
			$(e.target).is($('span'))
		) {
		} else {
			$('.ui-drop-box').removeClass('active');
		}
	});

	$('.ui-drop-box li').each(function (i, e) {
		$(e).on('click', function () {
			var data = $(e).attr('data-info');
			$(e).parent().parent().children('.ui-drop-input').text(data);
		});
	});

	/**
	 * ===============
	 * mobile devices
	 * ===============
	 */
	$('.mobile-icon-btn').on('click', function () {
		$('.template-left').addClass('active');
		$('.mobile-template-right').addClass('active');
	});
	$(window).on('click', function (e) {
		if ($(e.target).hasClass('mobile-template-right')) {
			$('.template-left').removeClass('active');
			$('.mobile-template-right').removeClass('active');
		}
	});

	$('#mobile-icon-btn').on('click', function () {
		$('.mobile-filter-btn-overlay').toggleClass('active');
		$('.mobile-filter-left-btn a').toggleClass('active');
	});
});

var tooltipTriggerList = [].slice.call(
	document.querySelectorAll('[data-bs-toggle="tooltip"]')
);
var tooltipList = tooltipTriggerList.map(function (tooltipTriggerEl) {
	return new bootstrap.Tooltip(tooltipTriggerEl);
});
